/* You can add global styles to this file, and also import other style files */

body {
    background-color: #eeeeee;
}

.textUppercase {
    text-transform: uppercase;
}

::-webkit-input-placeholder {
    /* WebKit browsers */
    text-transform: none;
}

:-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    text-transform: none;
}

::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    text-transform: none;
}

:-ms-input-placeholder {
    /* Internet Explorer 10+ */
    text-transform: none;
}

::placeholder {
    /* Recent browsers */
    text-transform: none;
}

.profile-dropdown li {
    padding: 5px 20px;
    cursor: pointer;
}

.headerSepioLogoLeft {
    max-width: 120px;
    cursor: pointer;
}

.headerSepioLogoRight {
    max-width: 30px;
    cursor: pointer;
}

.pageNotFoundImg {
    max-width: 100px;
}

.navbar {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 0px 5px !important;
}

.alert-message-custom {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 99999;
}

.alert-danger {
    background-color: #a94442;
    border-color: #a94442;
    color: #ffffff;
    box-shadow: 3px 3px 15px #a94442;
    padding: 15px;
    z-index: 99999;
}

.alert-success {
    background-color: #4CAF50;
    border-color: #4CAF50;
    color: #ffffff;
    box-shadow: 3px 3px 15px #4CAF50;
    padding: 15px;
    z-index: 99999;
}

.form-control:focus {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #02b9d1 !important;
    border-radius: .25rem;
}

.pure-checkbox label {
    float: left !important;
    padding: 5px 10px 5px 30px !important;
}

.selected-list .c-btn {
    width: 100%;
    box-shadow: none !important;
    padding: 10px;
    cursor: pointer;
    display: flex;
    position: relative;
}

.list-filter {
    border-bottom: 1px solid #ccc;
    position: relative;
    padding: 15px 0px 15px 35px !important;
    height: auto !important;
}

.list-filter .c-search {
    position: absolute;
    top: 18px !important;
    left: 10px;
    width: 15px;
    height: auto !important;
}

.dropdown-list ul li {
    padding: 5px 10px 40px 10px !important;
    cursor: pointer !important;
    text-align: left !important;
}

.pd50 {
    padding: 50px !important;
}

.mrg20LR {
    margin: 0px 20px;
}

.sepioImg {
    margin-bottom: 30px;
    text-align: center;
}

.sepioImg img {
    max-width: 200px;
}

.cursor-pointer {
    cursor: pointer;
}

.form-control.ng-valid.ng-touched {
    border: 2px solid green;
}

.form-control.ng-invalid.ng-touched {
    border: 2px solid red;
}

.theme-text {
    color: #02b9d1;
}

.text-red {
    color: red;
    font-size: 14px;
}

.whiteCard {
    background-color: #ffffff;
    border-radius: 5px;
    padding: 25px 30px 10px;
    box-shadow: 0 0px 30px rgba(0, 0, 0, 0.5), 0 6px 6px rgba(0, 0, 0, 0.5);
}

.white-card {
    color: #111111;
    background-color: #ffffff;
    border: 0;
    border-radius: 0px;
    position: relative;
    box-shadow: 0 1px 24px rgba(0, 0, 0, 0.1) !important;
    padding: 15px;
    margin: 20px;
}

.loginDiv {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    width: 400px;
}

.pageNotFoundDiv {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    width: 600px;
}

.searchBoxDiv {
    position: relative;
    margin-top: 5%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    width: 50%;
}

.btn-theme {
    background-color: #02b9d1;
    color: #ffffff;
    font-weight: 600;
    padding: 10px 20px;
    outline: none;
    border: none;
    border-radius: 5px;
}

.btn-rounded {
    cursor: pointer;
    border-radius: 5px;
    transition: all .1s ease;
    padding: 10px 30px;
    font-size: .9rem;
    border-radius: 50px;
    color: #fff;
    box-shadow: 1px 1px 15px 2px rgba(0, 0, 0, .15)!important;
    margin-bottom: 10px;
}

.btn-edit {
    background-color: #02b9d1;
}

.btn-save {
    background-color: #66bb6a;
}

.btn:focus {
    outline: none !important;
}

.btn:disabled {
    cursor: not-allowed!important;
    opacity: .65;
}

hr {
    margin-top: 0;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, .1);
}

.ripple {
    position: relative;
    overflow: hidden;
}

.ripple:after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
    background-image: radial-gradient(circle, #000 10%, transparent 10.01%);
    background-repeat: no-repeat;
    background-position: 50%;
    transform: scale(10, 10);
    opacity: 0;
    transition: transform .5s, opacity 1s;
}

.ripple:active:after {
    transform: scale(0, 0);
    opacity: .2;
    transition: 0s;
}

.btn-purple {
    background-color: #3b5998;
    border-color: #3b5998;
    color: #fff;
    width: 110px;
    border-radius: 15px;
}

.btn-light-blue {
    background-color: #55acee;
    border-color: #55acee;
    color: #fff;
    width: 110px;
    border-radius: 15px;
    float: left;
}


/* Style the search field */

.searchBox {
    display: flex;
    width: 100%;
}

form.searchBox input[type=text] {
    padding: 10px;
    font-size: 17px;
    float: left;
    width: 80%;
    background: #ffffff;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    border: 1px solid #888888;
    border-right: none;
}


/* Style the submit button */

form.searchBox button {
    float: left;
    padding: 10px;
    background: #02b9d1;
    color: #ffffff;
    font-size: 17px;
    border-left: none;
    cursor: pointer;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    border: 1.4px solid #888888;
    border-left: none;
}

form.searchBox::after {
    content: "";
    clear: both;
    display: table;
}

.top-dropdown-menu.profile-dropdown {
    width: 145px;
    top: 63px;
    position: absolute;
}

.mrg10T {
    margin-top: 10px;
}

.mrg10R {
    margin-right: 10px;
}

.mrg10B {
    margin-bottom: 10px;
}

.colorText {
    color: #777;
}


/* Absolute Center Spinner */

.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}


/* Transparent Overlay */

.loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}


/* :not(:required) hides these rules from IE9 and below */

.loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.loading:not(:required):after {
    content: '';
    display: block;
    font-size: 20px;
    width: 1rem;
    height: 1rem;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: #02b9d1 1.5em 0 0 0, #02b9d1 1.1em 1.1em 0 0, #02b9d1 0 1.5em 0 0, #02b9d1 -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.5) -1.5em 0 0 0, rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0, #02b9d1 0 -1.5em 0 0, #02b9d1 1.1em -1.1em 0 0;
    box-shadow: #02b9d1 1.5em 0 0 0, #02b9d1 1.1em 1.1em 0 0, #02b9d1 0 1.5em 0 0, #02b9d1 -1.1em 1.1em 0 0, #02b9d1 -1.5em 0 0 0, #02b9d1 -1.1em -1.1em 0 0, #02b9d1 0 -1.5em 0 0, #02b9d1 1.1em -1.1em 0 0;
}


/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.p1035 {
    padding: 10px 35px!important;
    border-radius: 10px!important;
}

.btn-theme-br-5 {
    background: #02b9d1;
    border-radius: 5px;
}

.warning {
    color: #fff;
    background-color: #e0a800;
    border-color: #d39e00;
    margin-left: 15px;
}

.cursor {
    cursor: pointer !important;
}

.textUppercase {
    text-transform: uppercase !important;
}

label {
    float: right;
}

textarea {
    resize: none;
}

.checkbox {
    height: 35px;
}